#include <zombie_escape>

new cvar_remove_dropped_weapons

public plugin_init()
{
	register_plugin("[ZE] Weapon Dropped Removed", ZE_VERSION, "LiZou Mapper")
	
	cvar_remove_dropped_weapons = register_cvar("ze_remove_dropped_weapons", "0")
	
	register_forward(FM_SetModel, "fw_SetModel")
}

// Forward Set Model
public fw_SetModel(entity, const model[])
{
	// We don't care
	if (strlen(model) < 8)
		return;
	
	// Remove weapons?
	if (get_pcvar_float(cvar_remove_dropped_weapons) > 0.0)
	{
		// Get entity's classname
		new classname[10]
		pev(entity, pev_classname, classname, charsmax(classname))
		
		// Check if it's a weapon box
		if (equal(classname, "weaponbox"))
		{
			// They get automatically removed when thinking
			set_pev(entity, pev_nextthink, get_gametime() + get_pcvar_float(cvar_remove_dropped_weapons))
			return;
		}
	}
}